class Singleton(object):
    obj = None

    def __new__(cls, *args, **kwards):
        if cls.obj is None:
            cls.obj = object.__new__(cls)
        return cls.obj


sing1 = Singleton()
sing2 = Singleton()
print(id(sing1))
print(id(sing2))
